class Mdcat < Formula
  desc "Show markdown documents on text terminals"
  homepage "https://github.com/swsnr/mdcat"
  url "https://github.com/swsnr/mdcat/archive/refs/tags/mdcat-2.1.2.tar.gz"
  sha256 "332c8e659a668ceeae70b0d268a46f00bf8bab696dbf7f84faa69b3c509da286"
  license "MPL-2.0"
  head "https://github.com/swsnr/mdcat.git", branch: "main"

  depends_on "asciidoctor" => :build
  depends_on "cmake" => :build
  depends_on "rust" => :build

  on_linux do
    depends_on "pkg-config" => :build
    depends_on "openssl@3"
  end

  def install
    system "cargo", "install", *std_cargo_args

    outdir = Dir["target/release/build/mdcat-*/out"].first
    man1.install "#{outdir}/mdcat.1"
    bash_completion.install "#{outdir}/completions/mdcat.bash" => "mdcat"
    fish_completion.install "#{outdir}/completions/mdcat.fish"
    zsh_completion.install "#{outdir}/completions/_mdcat"
  end

  test do
    (testpath/"test.md").write <<~EOS
      _lorem_ **ipsum** dolor **sit** _amet_
    EOS
    output = shell_output("#{bin}/mdcat --no-colour test.md")
    assert_match "lorem ipsum dolor sit amet", output
  end
end
